commit: 6076a77a515a0f2772f5316e0f3248879a5d4a6e
Author: Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 6 22:21:54 2018 +0000
Commit: Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
CommitDate: Fri Dec 7 00:24:42 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6076a77a
dev-python/neovim-python-client: Bump version to 0.3.1
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Ole Reifschneider <tranquility <AT> gentoo.org>
dev-python/neovim-python-client/Manifest | 1 +
.../neovim-python-client-0.3.1.ebuild | 32 ++++++++++++++++++++++
2 files changed, 33 insertions(+)
diff --git a/dev-python/neovim-python-client/Manifest
b/dev-python/neovim-python-client/Manifest
index 3c39a25efb5..700e719b3f1 100644
--- a/dev-python/neovim-python-client/Manifest
+++ b/dev-python/neovim-python-client/Manifest
@@ -2,3 +2,4 @@ DIST neovim-python-client-0.1.13.tar.gz 41413 BLAKE2B
819c3e7763cfb357d45130928d
DIST neovim-python-client-0.2.1.tar.gz 41971 BLAKE2B
9ebff937e08963cb8c764c4dcfcef8b6e28e8d0219635f9602ccc77b0bf4412a797de71fbf149bcaafe85bd1122a0d3cec1d8bfa81217c8c2d5a89bc1772c572
SHA512
710be7f5355077fa1eae256c541a06d475902492a19638c5786e25aafb9181f40afcc8df70aca0da15a569a9d6b095ab7bd8008e4f947725cf081954fb7c042e
DIST neovim-python-client-0.2.4.tar.gz 47216 BLAKE2B
029bc18936fcd23518ee0b80e5396b2ad9477a4395c27ca5d7e30f897599b47d68529cfe0febafae321a2dc9bb8dfd7cdcdde97225e166bae0565bd301598a4b
SHA512
38dcd146060d1942d5ab58ab036f39667b908719b1fc48f79c0bd2b82cf458c3ef6750ccf6d0e4b5bdb71b42a9e5666c008f03a46b07801f2ea8435dec8c716a
DIST neovim-python-client-0.2.6.tar.gz 50170 BLAKE2B
d241ae0019bb8a4f08abf11866d7c964425d96756452e7bafb95fbce1795657c6911cf6bb706f5efa46ac3f5bd2c4af23ade9b9677d8f1f94905d72a39ddfde5
SHA512
a493c1e6be6a196d35e69e6b6b6a7752e939a254ed423079468c0e13ce40c2646ee8d65482648ea37a9d9c53b4f2c50cdd5e6c8dc130e63a7e40f424c4f4a9c0
+DIST neovim-python-client-0.3.1.tar.gz 51626 BLAKE2B
80e68d02d41c7891fb88e9386866f87a1c78acc9e279de4ce4c7022333f8da3b68ffe7c598c84ff9c6386458639b6ffb4aecbfe72288866dc147ffc6197e94e2
SHA512
9c1599aabce9f0e1133364f8e91dd1b57cee107a11d400f530218ec7ad157c2f58134c1e7e8fc27649b4d8953e27c51bf6e4f0e7565d8c3dab94788759eea229
diff --git a/dev-python/neovim-python-client/neovim-python-client-0.3.1.ebuild
b/dev-python/neovim-python-client/neovim-python-client-0.3.1.ebuild
new file mode 100644
index 00000000000..751a436d4fd
--- /dev/null
+++ b/dev-python/neovim-python-client/neovim-python-client-0.3.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
+inherit distutils-r1
+
+DESCRIPTION="Python client for Neovim"
+HOMEPAGE="https://github.com/neovim/pynvim"
+SRC_URI="https://github.com/neovim/pynvim/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ >=dev-python/msgpack-0.5.2[${PYTHON_USEDEP}]
+ virtual/python-greenlet[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/trollius[${PYTHON_USEDEP}]'
python2_7)"
+
+RDEPEND="
+ ${DEPEND}
+ >=app-editors/neovim-0.2.1"
+
+S="${WORKDIR}/pynvim-${PV}"
+
+python_prepare_all() {
+ # allow useage of renamed msgpack
+ sed -i '/^msgpack/d' setup.py || die
+ distutils-r1_python_prepare_all
+}